Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065097 - Sogatel USB speaker (C-Media) extremely noisy: usb_audio: Warning! Unlikely big volume range (=9472), cval->res is probably wrong
Summary: Sogatel USB speaker (C-Media) extremely noisy: usb_audio: Warning! Unlikely b...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-13 22:47 UTC by Federico Leva
Modified: 2016-12-20 12:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:45:13 UTC


Attachments (Terms of Use)
alsa-info (deleted)
2014-02-13 22:47 UTC, Federico Leva
no flags Details
lsusb -v (deleted)
2014-02-13 22:49 UTC, Federico Leva
no flags Details
pactl list (deleted)
2014-02-13 22:50 UTC, Federico Leva
no flags Details
pacmd ls (deleted)
2014-02-13 22:53 UTC, Federico Leva
no flags Details
amixer -c0 (deleted)
2014-02-13 22:54 UTC, Federico Leva
no flags Details
pulseaudio -vvvvv (deleted)
2014-02-13 23:05 UTC, Federico Leva
no flags Details
alsa-info (deleted)
2014-02-14 15:55 UTC, Federico Leva
no flags Details

Description Federico Leva 2014-02-13 22:47:27 UTC
Created attachment 863001 [details]
alsa-info

As soon as I attach a Sogatel USB speaker to the USB port, a loud buzz begins: louder than all the fans, hard disk etc. and than (what's for me) normal volume of system events with standard speakers.

After configuring the audio to go through CM102-A+/102S+ audio controller, I manage to hear sound, but only if I raise volume over ~69 %. Not only it's unbearably high, but it doesn't even manage to completely cover the buzz.

There are some similar reports about C-Media (bug 957168, bug 874566, bug 679122), but they're usually about complete lack of sound so I'm filing a new one. Further information in following attachments.

$ dmesg
[201030.727727] usb 4-3: new full-speed USB device number 4 using ohci-pci
[201030.876582] usb 4-3: New USB device found, idVendor=0d8c, idProduct=0103
[201030.876600] usb 4-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[201030.876610] usb 4-3: Product: USB Sound Device
[201030.876619] usb 4-3: Manufacturer: C-Media INC.
[201030.905602] ALSA sound/usb/mixer.c:1303 usb_audio: Warning! Unlikely big volume range (=9472), cval->res is probably wrong.
[201030.905620] ALSA sound/usb/mixer.c:1307 usb_audio: [13] FU [PCM Playback Volume] ch = 2, val = -9473/-1/1
[201210.455501] ALSA sound/usb/pcm.c:1496 delay: estimated 336, actual 0
[201210.457509] ALSA sound/usb/pcm.c:1496 delay: estimated 288, actual 0

$ uname -a
Linux localhost.localdomain 3.12.10-300.fc20.x86_64 #1 SMP Thu Feb 6 22:11:48 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

$ lspci|grep Audio
00:01.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Wrestler HDMI Audio
00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia (Intel HDA) (rev 40)

$ lspci -v
00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 14h Processor Root Complex
        Subsystem: ASRock Incorporation Device 1510
        Flags: bus master, 66MHz, medium devsel, latency 32

00:01.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Wrestler HDMI Audio
        Subsystem: ASRock Incorporation Device 1314
        Flags: bus master, fast devsel, latency 0, IRQ 42
        Memory at feb44000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: snd_hda_intel

00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia (Intel HDA) (rev 40)
        Subsystem: ASRock Incorporation Device 1892
        Flags: bus master, slow devsel, latency 32, IRQ 16
        Memory at feb40000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: snd_hda_intel

00:16.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller (prog-if 10 [OHCI])
        Subsystem: ASRock Incorporation Device 4397
        Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 18
        Memory at feb49000 (32-bit, non-prefetchable) [size=4K]
        Kernel driver in use: ohci-pci

00:16.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller (prog-if 20 [EHCI])
        Subsystem: ASRock Incorporation Device 4396
        Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 17
        Memory at feb48000 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>
        Kernel driver in use: ehci-pci

$ rpm -qa | grep -E 'alsa|pulse|gstreamer' | sort
alsa-firmware-1.0.27-2.fc20.noarch
alsa-lib-1.0.27.2-2.fc20.i686
alsa-lib-1.0.27.2-2.fc20.x86_64
alsa-plugins-pulseaudio-1.0.27-2.fc20.x86_64
alsa-tools-firmware-1.0.27-3.fc20.x86_64
alsa-utils-1.0.27.2-4.fc20.x86_64
gstreamer-0.10.36-6.fc20.i686
gstreamer-0.10.36-6.fc20.x86_64
gstreamer1-1.2.2-1.fc20.x86_64
gstreamer1-plugins-bad-free-1.2.2-1.fc20.x86_64
gstreamer1-plugins-base-1.2.2-1.fc20.x86_64
gstreamer1-plugins-good-1.2.2-2.fc20.x86_64
gstreamer-ffmpeg-0.10.13-10.fc20.x86_64
gstreamer-plugins-bad-free-0.10.23-19.fc20.i686
gstreamer-plugins-bad-free-0.10.23-19.fc20.x86_64
gstreamer-plugins-base-0.10.36-6.fc20.i686
gstreamer-plugins-base-0.10.36-6.fc20.x86_64
gstreamer-plugins-espeak-0.4.0-2.fc19.x86_64
gstreamer-plugins-good-0.10.31-10.fc20.x86_64
gstreamer-python-0.10.22-5.fc20.x86_64
gstreamer-tools-0.10.36-6.fc20.x86_64
kde-settings-pulseaudio-20-12.fc20.noarch
PackageKit-gstreamer-plugin-0.8.16-1.fc20.x86_64
phonon-backend-gstreamer-4.7.1-1.fc20.x86_64
pulseaudio-4.0-9.gitf81e3.fc20.x86_64
pulseaudio-libs-4.0-9.gitf81e3.fc20.i686
pulseaudio-libs-4.0-9.gitf81e3.fc20.x86_64
pulseaudio-libs-glib2-4.0-9.gitf81e3.fc20.x86_64
pulseaudio-module-bluetooth-4.0-9.gitf81e3.fc20.x86_64
pulseaudio-module-x11-4.0-9.gitf81e3.fc20.x86_64
pulseaudio-utils-4.0-9.gitf81e3.fc20.x86_64
qt-gstreamer-0.10.3-2.fc20.x86_64
wine-alsa-1.7.8-1.fc20.x86_64
wine-pulseaudio-1.7.8-1.fc20.i686
wine-pulseaudio-1.7.8-1.fc20.x86_64

$ ls -al /dev/snd
totale 0
drwxr-xr-x.  3 root root      280 13 feb 23.38 .
drwxr-xr-x. 19 root root     3280 11 feb 15.42 ..
drwxr-xr-x.  2 root root       80 13 feb 23.38 by-path
crw-rw----+  1 root audio 116,  6 11 feb 15.41 controlC1
crw-rw----+  1 root audio 116, 12 11 feb 15.41 controlC2
crw-rw----+  1 root audio 116,  5 11 feb 15.41 hwC1D0
crw-rw----+  1 root audio 116, 11 11 feb 15.41 hwC2D0
crw-rw----+  1 root audio 116,  4 11 feb 15.42 pcmC1D3p
crw-rw----+  1 root audio 116, 10 11 feb 15.44 pcmC2D0c
crw-rw----+  1 root audio 116,  9 13 feb 23.13 pcmC2D0p
crw-rw----+  1 root audio 116,  8 11 feb 15.43 pcmC2D1p
crw-rw----+  1 root audio 116,  7 11 feb 15.41 pcmC2D2c
crw-rw----+  1 root audio 116,  1 11 feb 15.41 seq
crw-rw----+  1 root audio 116, 33 11 feb 15.41 timer

Comment 1 Federico Leva 2014-02-13 22:49:57 UTC
Created attachment 863002 [details]
lsusb -v

Comment 2 Federico Leva 2014-02-13 22:50:55 UTC
Created attachment 863003 [details]
pactl list

Comment 3 Federico Leva 2014-02-13 22:53:37 UTC
Created attachment 863004 [details]
pacmd ls

Comment 4 Federico Leva 2014-02-13 22:54:30 UTC
Created attachment 863005 [details]
amixer -c0

Comment 5 Federico Leva 2014-02-13 23:05:42 UTC
Created attachment 863008 [details]
pulseaudio -vvvvv

I killed and restarted pulseaudio per https://fedoraproject.org/wiki/How_to_debug_PulseAudio_problems and fiddled a bit with audio volume, settings, audio tests in settings, finally detaching it because it's too loud; test audio is reproduced from the audio/video system settings but I could not get the applications to reproduce audio again though, the KDE mixer also thinks there's no audio device available. Will probably have to reboot I guess, as the first time I configured it.

Comment 6 Raymond 2014-02-14 15:43:43 UTC
your alsa-info did not contain any info of your  USB  audio 

do you need to specify index for your USB audio and your two hda intel cards ?

post the output of alsa-info.sh for your USB audio

which contain min , Max , dbmin and  dbmax of the volume controls of your USB audio


D: [pulseaudio] alsa-mixer.c: Path analog-output (Uscita analogica), direction=1, priority=99, probed=yes, supported=yes, has_mute=yes, has_volume=yes, has_dB=yes, min_volume=0, max_volume=9472, min_dB=-37, max_dB=0
D: [pulseaudio] alsa-mixer.c: Element PCM, direction=1, switch=1, volume=1, volume_limit=-1, enumeration=0, required=0, required_any=0, required_absent=0, mask=0x3600000000f66, n_channels=2, override_map=yes

I: [pulseaudio] alsa-sink.c: Hardware volume ranges from -37,00 dB to 0,00 dB.
I: [pulseaudio] alsa-sink.c: Fixing base volume to 0,00 dB
I: [pulseaudio] alsa-sink.c: Using hardware volume control. Hardware dB scale supported.
I: [pulseaudio] alsa-sink.c: Using hardware mute control.
D: [pulseaudio] alsa-util.c: snd_pcm_dump():
D: [pulseaudio] alsa-util.c: Hardware PCM card 0 'Audio Advantage MicroII' device 0 subdevice 0
D: [pulseaudio] alsa-util.c: Its setup is:
D: [pulseaudio] alsa-util.c:   stream       : PLAYBACK
D: [pulseaudio] alsa-util.c:   access       : MMAP_INTERLEAVED
D: [pulseaudio] alsa-util.c:   format       : S16_LE
D: [pulseaudio] alsa-util.c:   subformat    : STD
D: [pulseaudio] alsa-util.c:   channels     : 2
D: [pulseaudio] alsa-util.c:   rate         : 44100
D: [pulseaudio] alsa-util.c:   exact rate   : 44100 (44100/1)
D: [pulseaudio] alsa-util.c:   msbits       : 16
D: [pulseaudio] alsa-util.c:   buffer_size  : 88200
D: [pulseaudio] alsa-util.c:   period_size  : 44100
D: [pulseaudio] alsa-util.c:   period_time  : 1000000
D: [pulseaudio] alsa-util.c:   tstamp_mode  : ENABLE
D: [pulseaudio] alsa-util.c:   period_step  : 1
D: [pulseaudio] alsa-util.c:   avail_min    : 87319
D: [pulseaudio] alsa-util.c:   period_event : 0
D: [pulseaudio] alsa-util.c:   start_threshold  : -1
D: [pulseaudio] alsa-util.c:   stop_threshold   : 6206523236469964800
D: [pulseaudio] alsa-util.c:   silence_threshold: 0
D: [pulseaudio] alsa-util.c:   silence_size : 0
D: [pulseaudio] alsa-util.c:   boundary     : 6206523236469964800
D: [pulseaudio] alsa-util.c:   appl_ptr     : 0
D: [pulseaudio] alsa-util.c:   hw_ptr       : 0
D: [pulseaudio] alsa-sink.c: Read hardware volume: front-left: 40039 /  61% / -12,84 dB,   front-right: 40039 /  61% / -12,84 dB

Comment 7 Federico Leva 2014-02-14 15:55:39 UTC
Created attachment 863320 [details]
alsa-info

Sorry, this one should contain it.

Comment 8 Raymond 2014-02-15 01:11:34 UTC
USB Mixer: usb_id=0x0d8c0103, ctrlif=0, ctlerr=0
Card: C-Media INC. Audio Advantage MicroII at usb-0000:00:13.0-5, full speed
  Unit: 13
    Control: name="Loudness", index=0
    Info: id=13, control=10, cmask=0x0, channels=1, type="BOOLEAN"
    Volume: min=0, max=1, dBmin=0, dBmax=0
  Unit: 13
    Control: name="PCM Playback Volume", index=0
    Info: id=13, control=2, cmask=0x3, channels=2, type="S16"
    Volume: min=-9473, max=-1, dBmin=-3700, dBmax=0



what about the range bewteen 0% and 24% ? as  min dB is -37dB


D: [alsa-sink-USB Audio] alsa-sink.c: Read hardware volume: front-left: 15842 /  24% / -37,00 dB,   front-right: 15842 /  24% / -37,00 dB
I: [pulseaudio] module-device-restore.c: Storing volume/mute for device+port sink:alsa_output.usb-C-Media_INC._USB_Sound_Device-00-MicroII.analog-stereo:analog-output.

Comment 9 Raymond 2014-02-17 16:04:29 UTC
9472 = 37 * 256 

but is not a multiple three and you cannot use cval->res = 384

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/usb/mixer.c?id=bc3a8a01def4fb0ec0ef8a20d097277b9c6b2a1f


you have to find out the value of cval->res  if you think the volume control cannot provide a resolution of 1/256 dB

Comment 10 Federico Leva 2014-02-17 16:09:20 UTC
Thanks. I begin to understand. How would I change the value of cval->res for testing what's the best value and reporting back?

Comment 12 Raymond 2014-02-18 05:24:25 UTC
as 37 is a prime number, this mean that the possible resolution can only be  1,  0.5, 0.25, .....  1/128, 1/256 dB

Comment 13 Raymond 2014-02-20 12:33:27 UTC
Simple mixer control 'PCM',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 9472
  Mono:
  Front Left: Playback 6270 [66%] [-12.51dB] [on]
  Front Right: Playback 6270 [66%] [-12.51dB] [on]

speaker-test -D hw:0,0 -c2 -t sine

you can use

 amixer -c0 set value,value

value from 9472 and decrease value until you notice the volume really changed by hearing or record using audacity and check the record signal drop visually

Comment 14 Federico Leva 2014-02-20 18:49:32 UTC
I've not understood how to use amixer as you say, sorry (it asks some further parameters); but I opened alsamixer and changing values didn't affect anything initially, however after F6:  Select sound card -> 2  Audio Advantage MicroII I could tweak volume again.

The lowest volume at which I hear something is 2 %, PCM [dB gain: -35,46, -35,46], while I hear nothing at 1 %, PCM [dB gain: -36,25, -36,25]. That is, nothing but the loud buzz which is constant when powered up. Items S/PDIF and Loudness are muted (MM).

Comment 15 Federico Leva 2014-02-20 18:57:09 UTC
Found it. The audio is enabled starting at value 256 (amixer -c 2 set PCM 256).

Comment 16 Raymond 2014-02-20 22:29:07 UTC
http://www.freedesktop.org/wiki/Software/PulseAudio/Backends/ALSA/Decibel/


pulseaudio expect the volume really change by 1/256 dB per step but in practice the volume is only changed after you adjust the value for cval->res steps

Comment 17 Federico Leva 2014-02-25 12:04:15 UTC
I've read that page once again, thank you very much for your heelp and patience, but I don't understand if there's anything concrete that I can/should still do here. Unless a configuration can fix this I'm going to return the speaker this week and I won't be able to test further.

Comment 18 James Ettle 2014-06-04 20:22:44 UTC
I've a USB speaker based on this chipset and see exactly the same error message. Using rawhide, but I can also test F19, F20, all with same symptoms.

kernel-3.15.0-0.rc8.git1.2.fc21.x86_64
pulseaudio-5.0-4.fc21.x86_64

Comment 19 Fedora End Of Life 2015-05-29 10:55:09 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2015-06-29 15:12:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 21 Federico Leva 2015-06-29 15:14:50 UTC
Yep, still happening in f21 (4.0.5-200.fc21.x86_64).

Comment 22 Fedora End Of Life 2015-11-04 11:18:57 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 James Ettle 2015-11-15 18:59:35 UTC
Also in Fedora 23.

[25860.677773] usb 1-1: Warning! Unlikely big volume range (=9472), cval->res is probably wrong.
[25860.677776] usb 1-1: [13] FU [PCM Playback Volume] ch = 2, val = -9473/-1/1
[25860.678544] usbcore: registered new interface driver snd-usb-audio

kernel-4.2.5-300.fc23.x86_64
alsa-lib-1.0.29-2.fc23.x86_64
pulseaudio-7.1-1.fc23.x86_64

Comment 24 Fedora End Of Life 2016-11-24 11:07:02 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 25 Fedora End Of Life 2016-12-20 12:45:13 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.